[arch-commits] Commit in polkit/repos (testing-x86_64 testing-x86_64/PKGBUILD)
Antonio Rojas
arojas at archlinux.org
Thu May 16 15:27:20 UTC 2019
Date: Thursday, May 16, 2019 @ 15:27:19
Author: arojas
Revision: 353464
archrelease: copy trunk to testing-x86_64
Added:
polkit/repos/testing-x86_64/
polkit/repos/testing-x86_64/PKGBUILD
(from rev 353463, polkit/trunk/PKGBUILD)
----------+
PKGBUILD | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 56 insertions(+)
Copied: polkit/repos/testing-x86_64/PKGBUILD (from rev 353463, polkit/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2019-05-16 15:27:19 UTC (rev 353464)
@@ -0,0 +1,56 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=polkit
+pkgver=0.116
+pkgrel=1
+pkgdesc="Application development toolkit for controlling system-wide privileges"
+arch=(x86_64)
+license=(LGPL)
+url="https://www.freedesktop.org/wiki/Software/polkit/"
+depends=(glib2 pam expat systemd js60)
+makedepends=(intltool gtk-doc gobject-introspection git autoconf-archive)
+_commit=941e9329f8d3d43ace8335d206365b212824e686 # tags/0.116
+source=("git+https://gitlab.freedesktop.org/polkit/polkit.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --libexecdir=/usr/lib \
+ --enable-libsystemd-login=yes --disable-static \
+ --enable-gtk-doc --with-os-type=redhat
+
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+
+ install -d -o root -g 102 -m 750 "$pkgdir"/{etc,usr/share}/polkit-1/rules.d
+
+ install -Dm644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/$pkgname.conf" <<END
+u polkitd 102 "PolicyKit daemon"
+m polkitd proc
+END
+}
+
+# vim: ts=2 sw=2 et:
More information about the arch-commits
mailing list